Bug 783367 - [abrt] mediatomb-0.12.1-14.fc16: Process /usr/bin/mediatomb was killed by signal 11 (SIGSEGV)
Summary: [abrt] mediatomb-0.12.1-14.fc16: Process /usr/bin/mediatomb was killed by sig...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mediatomb
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:86465dd6930a0efa60c53b884b4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-20 06:38 UTC by brothermand38
Modified: 2013-01-25 21:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-25 21:26:29 UTC
Type: ---


Attachments (Terms of Use)
File: dso_list (4.04 KB, text/plain)
2012-01-20 06:38 UTC, brothermand38
no flags Details
File: maps (19.94 KB, text/plain)
2012-01-20 06:38 UTC, brothermand38
no flags Details
File: backtrace (49.52 KB, text/plain)
2012-01-20 06:38 UTC, brothermand38
no flags Details
My Mediatomb file config.xml and transcode script file ffmpegvideo (3.31 KB, application/zip)
2012-01-26 07:34 UTC, brothermand38
no flags Details
Mediatomb config file (7.58 KB, text/plain)
2012-03-17 21:46 UTC, Roger Noble
no flags Details

Description brothermand38 2012-01-20 06:38:17 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        mediatomb -d
comment:        Upgraded from mediatomb-0.12.1-12.fc16.x86_64.rpm to mediatomb-0.12.1-14.fc16.x86_64 crash everytime when transcoding video, tried deleting config.xml and starting new still crashed. had to down grade back to mediatomb-0.12.1-12.fc16.x86_64.rpm.
crash_function: ProcessExecutor::ProcessExecutor
executable:     /usr/bin/mediatomb
kernel:         3.1.8-2.fc16.x86_64
pid:            2343
pwd:            /
reason:         Process /usr/bin/mediatomb was killed by signal 11 (SIGSEGV)
time:           Fri 20 Jan 2012 12:22:10 AM EST
uid:            1000

backtrace:      Text file, 50704 bytes
dso_list:       Text file, 4136 bytes
maps:           Text file, 20423 bytes

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1628
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=ATLANTIS-DB
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:XDG_SESSION_COOKIE=bebe5c8a070b6c9ae161cf760000000d-1326755879.551195-1891676243
:HISTSIZE=1000
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/marcus/.gtkrc-2.0:/home/marcus/.gtkrc-2.0-kde4:/home/marcus/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.1574
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/marcus/.gtkrc:/home/marcus/.kde/share/config/gtkrc
:WINDOWID=33554458
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-c1ZC7C
:SHELL_SESSION_ID=1c80e71c63ef4000a41663d828c98237
:QTINC=/usr/lib64/qt-3.3/include
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=none
:USER=marcus
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-QbslHlWk1501/agent.1501
:USERNAME=marcus
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1709,unix/unix:/tmp/.ICE-unix/1709
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/marcus
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/marcus/.local/bin:/home/marcus/bin
:QT_IM_MODULE=xim
:PWD=/home/marcus
:XMODIFIERS=@im=none
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1493
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/1
:GDMSESSION=kde-plasma
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/marcus
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=marcus
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-2X9GDQ4ABI,guid=0b0faa6ab2703de2680520f100000025
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=/home/marcus
:XDG_RUNTIME_DIR=/run/user/marcus
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/marcus/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:GTK_IM_MODULE=gtk-im-context-simple
:CCACHE_HASHDIR=
:XAUTHORITY=/tmp/kde-marcus/xauth-1000-_0
:_=/usr/bin/mediatomb

var_log_messages:
:Jan 15 13:42:26 Atlantis-DB mediatomb[26456]: Applying multicast settings to em1... Starting mediatomb: [  OK  ]
:Jan 17 17:06:52 Atlantis-DB mediatomb[20746]: Applying multicast settings to em1... Starting mediatomb: [  OK  ]
:Jan 19 23:59:46 Atlantis-DB systemd[1]: PID 20755 read from file /var/run/mediatomb.pid does not exist. Your service or init script might be broken.
:Jan 19 23:59:46 Atlantis-DB mediatomb[32233]: Shutting down mediatomb: [  OK  ]
:Jan 20 00:04:07 Atlantis-DB yum[32301]: Updated: mediatomb-0.12.1-14.fc16.x86_64
:Jan 20 00:18:39 Atlantis-DB mediatomb[2022]: Applying multicast settings to em1... Starting mediatomb: [  OK  ]
:Jan 20 00:19:58 Atlantis-DB kernel: [280956.554563] mediatomb[2040]: segfault at 10 ip 000000000051ec1c sp 00007f99caffae40 error 4 in mediatomb[400000+1a0000]
:Jan 20 00:19:58 Atlantis-DB systemd[1]: PID 2031 read from file /var/run/mediatomb.pid does not exist. Your service or init script might be broken.
:Jan 20 00:19:58 Atlantis-DB systemd[1]: mediatomb.service: main process exited, code=killed, status=11
:Jan 20 00:19:58 Atlantis-DB mediatomb[2236]: Shutting down mediatomb: [FAILED]
:Jan 20 00:19:58 Atlantis-DB systemd[1]: Unit mediatomb.service entered failed state.
:Jan 20 00:22:09 Atlantis-DB kernel: [281087.968409] mediatomb[2351]: segfault at 10 ip 000000000051ec1c sp 00007fbd9d7f7e40 error 4 in mediatomb[400000+1a0000]
:Jan 20 00:22:13 Atlantis-DB abrt[2460]: Saved core dump of pid 2343 (/usr/bin/mediatomb) to /var/spool/abrt/ccpp-2012-01-20-00:22:10-2343 (192450560 bytes)

Comment 1 brothermand38 2012-01-20 06:38:20 UTC
Created attachment 556451 [details]
File: dso_list

Comment 2 brothermand38 2012-01-20 06:38:21 UTC
Created attachment 556452 [details]
File: maps

Comment 3 brothermand38 2012-01-20 06:38:23 UTC
Created attachment 556453 [details]
File: backtrace

Comment 4 Rich Mattes 2012-01-25 13:59:53 UTC
Is there any way you can provide steps to reproduce this issue? I.e. what type of file you were using, what format you were transcoding to, what device were you streaming to, what if any config.xml changes you were using?  It will be much easier for me if I can reproduce your issue.  Thanks!

Comment 5 brothermand38 2012-01-26 07:34:59 UTC
Created attachment 557592 [details]
My Mediatomb file config.xml and transcode script file ffmpegvideo

These are the files my mediatomb is using for configuration, and mpeg transcoding.

Comment 6 brothermand38 2012-01-26 07:43:58 UTC
I'm transcoding avi video to mpeg video file mediatomb-0.12.1-14.fc16.x86_64 would crash, mediatomb-0.12.1-12.fc16.x86_64.rpm works. I'm streaming to Directv H24, and HR24 boxes.

Comment 7 Roger Noble 2012-03-17 21:46:44 UTC
Created attachment 570840 [details]
Mediatomb config file

I have a similar problem with 0.12.1-14 i368. It appears to segv on any attempted transcode. 0.12.1-12 works.

I've attached my config.xml. The transcode profile is audio2mp3 which calls a script to use ffmpeg. However in practice the script doesn't appear to get executed, and the segv happens with other attempted profiles.

Roger

Comment 8 Sean Estabrooks 2012-05-11 14:29:30 UTC
Definitely a bug.  Wanted to debug it but there doesn't appear to be a debuginfo package available. Ugh.

Comment 9 brothermand38 2012-07-25 13:03:34 UTC
What's the latest on this bug?

Comment 10 Laurent Jacquot 2012-12-30 15:54:21 UTC
transcoding solved!

I managed to get mediatomb behave with the following patch:
diff -urN src/tools.cc.old src/tools.cc
--- src/tools.cc.old	2012-12-30 16:38:43.693986158 +0100
+++ src/tools.cc	2012-12-30 16:50:26.747679986 +0100
@@ -1223,7 +1223,8 @@
         String param = params->get(i);
         String newParam = param.replace(_("%in"), in);
         newParam = newParam.replace(_("%out"), out);
-	newParam = newParam.replace(_("%range"), range);
+	if ( range != nil)
+	    newParam = newParam.replace(_("%range"), range);
         if (param != newParam)
             params->set(newParam, i);
     }

I did not debug further (I know nothing about c++), but a correct patch would address the replace method which is returning null when its second argument is null.

Comment 11 brothermand38 2013-01-03 09:34:26 UTC
Can we get this fix added to the next update?

Comment 12 Gwyn Ciesla 2013-01-15 12:17:18 UTC
I'll get this out ASAP.

Comment 13 Fedora Update System 2013-01-15 14:24:19 UTC
mediatomb-0.12.1-22.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-22.fc17

Comment 14 Fedora Update System 2013-01-15 14:24:32 UTC
mediatomb-0.12.1-15.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-15.fc16

Comment 15 Fedora Update System 2013-01-15 14:24:42 UTC
mediatomb-0.12.1-22.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mediatomb-0.12.1-22.fc18

Comment 16 Fedora Update System 2013-01-16 19:23:38 UTC
Package mediatomb-0.12.1-15.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mediatomb-0.12.1-15.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0842/mediatomb-0.12.1-15.fc16
then log in and leave karma (feedback).

Comment 17 Fedora End Of Life 2013-01-17 01:47:08 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 brothermand38 2013-01-17 22:21:17 UTC
Tested with Fedora 17 64 bit, fix worked correctly for fedora 17 64 bit. I did not see the issue.

Comment 19 Laurent Jacquot 2013-01-20 17:11:02 UTC
works for me: f17 i686
Thanks!

Comment 20 Fedora Update System 2013-01-25 21:26:30 UTC
mediatomb-0.12.1-22.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2013-01-25 21:33:15 UTC
mediatomb-0.12.1-22.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2013-01-25 21:34:58 UTC
mediatomb-0.12.1-15.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.